/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

@font-face {
font-family: Veneer;
src: url(/wp-content/uploads/Veneer.ttf);
font-weight: 400;
}


/*FONTS*/
.lang a, body .main-navigation .main-nav ul li a, #footer-widgets p a, p, body, input, select, textarea, #mobmenuright li a, .site-footer p, .site-footer p a, .select2-container--default .select2-selection--single .select2-selection__placeholder, body #wpsl-wrap .wpsl-info-window p span, .select2-container--default .select2-selection--single .select2-selection__rendered, p.coderockz_woo_delivery_additional_message, body .gm-style .gm-iw, .woocommerce div.product p, #a-propos p, .woocommerce ul.products li.product h2.woocommerce-loop-product__title {
	font-family: 'Bebas Neue', cursive!important;
}
.menu-listing-inner .menu-listing-title, .menu-listing-inner .menu-listing-price, .page_item a, .woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received, #order_review:before, h2, h3, h4, h5, h6, button, .verif-inner div, .verif-inner a, body #mobmenuleft li a, .single-biere-content .single-cat-title, .back-button a, .single-biere-content .button-bottom a, body #wpsl-search-btn, .xoo-wsc-ft-buttons-cont a.xoo-wsc-ft-btn:only-child, .wc_payment_method.payment_method_stripe label[for="payment_method_stripe"], .single-biere .order-button a, .bieres .order-button a, body #mobmenuleft li a, body .xoo-wsc-modal button, body .wpsl-info-actions a, body span.xoo-wsch-text, .woocommerce ul.products li.product .button, .vc_btn3.vc_btn3-color-grey.vc_btn3-style-modern, .xoo-wsc-empty-cart .button, .cool-timeline-horizontal .clt_carousel_slider ul.slick-slider .slick-list li, .woocommerce-checkout .pthanks.button, body .xoo-wsc-items-count, body .xoo-wsc-sc-count, .xoo-wsc-ft-amt.xoo-wsc-ft-amt-subtotal span.xoo-wsc-ft-amt-label:after, span.xoo-wsc-pname, span.xoo-wsc-pname a, .archive.tax-product_cat .entry-content:before {
    /*font-family: Veneer!important;*/
	font-family: 'Bebas Neue', cursive!important;
}
h1 {
    /*font-family: Veneer!important;*/
	font-family: 'Bebas Neue', cursive!important;
}
.menu-listing-description {
	font-family: 'Roboto', sans-serif;
}


/*COLORS*/
a, h1, .site-info a, .site-info a:hover, .site-info, .menu-listing-inner, .menu-listing-inner .menu-listing-title, .menu-listing-inner .menu-listing-price {
    color: #eee9d6;
}
.socials i, .socials i:hover, .lang a, .page_item a, ::-webkit-scrollbar-thumb, .menu-listing:before {
	background: #eee9d6;
}
::-webkit-scrollbar-track, .menu-listing:before {
	border-color:#eee9d6!important;
}
.socials i, .socials i:hover, .lang a, .page_item a, .lang a.glink, .lang a.glink:hover, button.back-button i, a.back-button i {
    color: #000;
}
html, body, .splash {
    background: #000;
}
h1.entry-title {
    color: #eee9d6;
}
button.back-button i, a.back-button i {
    background: #eee9d6;
}
.page_item a:hover, .lang a.glink:hover, .site-info a:hover, .socials i:hover {
    color: #b0191a;
}


/*EFFECTS*/
@-webkit-keyframes fadein {
    100% { opacity:1;}
}
@keyframes fadein {
    100% { opacity:1;}
}


/*LOADER/SPLASH/TIMEOUT*/
.splash.timeout {
    pointer-events: none;
	opacity: 0;
}
.splash {
    position: fixed;
	top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999999;
    display: flex;
    align-items: center;
    justify-content: center;
    -webkit-transition: all .4s ease;
	-moz-transition: all .4s ease;
	-o-transition: all .4s ease;
	transition: all .4s ease;
    transform: scale(1);
    opacity: 1;
    pointer-events: initial;
}
/*.splash img {
    max-width: 170px;
	opacity:0; 
	animation: fadein 1s ease both;
    animation-delay: 0s;
}*/


/*LANG*/
.lang a.glink:last-child {
    display:none;
}
.lang a.glink, .lang a.glink:hover {
	font-size:23px;
}
.lang {
    position: absolute;
	right:15px;
}
body .lang a {
	margin-right:0;
	margin-left:3px;
}


/*GÉNÉRAL*/
a, .socials i {
    transition:.2s;
	text-decoration:none;
}
.separate-containers .featured-image {
    display: none;
}
body {
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
	overflow:hidden!important;
}
.home .inside-article .entry-header {
	display:none;
}
.entry-content:not(:first-child), .entry-summary:not(:first-child), .page-content:not(:first-child) {
    margin-top: 0;
}
.separate-containers .comments-area, .separate-containers .inside-article, .separate-containers .page-header, .separate-containers .paging-navigation {
    padding: 0;
}
.separate-containers .site-main {
    margin: 0;
}
h1 {
    font-size: 38px;
    line-height: 1;
    text-transform: uppercase;
}
h1.entry-title {
    text-align: center;
    padding: 35px 0;
}
h2 {
    text-transform: uppercase;
    font-size: 45px;
    letter-spacing: 3px;
    line-height: 1;
    color: #da7d25;
    width: fit-content;
    margin: 0 auto!important;
}
h3 {
    font-size: 25px;
    line-height: 1;
    text-transform: none;
    color: #111;
    letter-spacing: 3px;
}
h4 {
    font-size: 20px;
    color: #ffc600;
    letter-spacing: 0;
    line-height: 1;
    text-transform: uppercase;
}
h1, h2, h3, h4, h5, h6 {
    margin:0;
}
.vc_col-has-fill>.vc_column-inner, .vc_row-has-fill+.vc_row-full-width+.vc_row>.vc_column_container>.vc_column-inner, .vc_row-has-fill+.vc_row>.vc_column_container>.vc_column-inner, .vc_row-has-fill>.vc_column_container>.vc_column-inner {
    padding-top: 0!important;
}
.wpb_button, .wpb_content_element, ul.wpb_thumbnails-fluid>li {
    margin-bottom: 0!important;
}
body .vc_btn3-container {
    margin-bottom: 0;
}
#site-navigation, .main-navigation .menu-toggle, .sidebar-nav-mobile:not(#sticky-placeholder), .copyright-bar {
    display: none!important;
}
.site-header {
    background-color: transparent;
}
.separate-containers .inside-article, .separate-containers .comments-area, .separate-containers .page-header, .one-container .container, .separate-containers .paging-navigation, .inside-page-header {
    background-color: transparent;
}
.inside-header {
    padding: 0;
}
a.generate-back-to-top {
    display: none;
}
.container.grid-container {
    max-width: 410px;
    padding: 0 15px;
    width: 100%;
}
.home .container.grid-container {
    height: calc(100vh - 290px);
    overflow-y: auto;
}


/*FOOTER*/
.inside-site-info {
    padding: 20px!important;
}
.site-info {
    background-color: transparent;
    font-size: 13px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    font-weight: 100;
}
.footer-bar-active .footer-bar {
    margin-bottom: 0!important;
}
.site-info img {
    width: 100px;
    filter: invert(1);
}


/*HEADER*/
.socials .mobile, header.site-header, .site-footer {
    display: none;
}
.home header.site-header, .home .site-footer{
    display: inline-block;
}
.site-header .header-image {
    padding-bottom: 30px;
    padding-top: 75px;
    width: 230px;
}
.header-widget {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}
.site-header {
    width: 420px;
    padding: 0 15px;
}
.socials {
    position: absolute;
    left: 15px;
}
.socials i, .socials i:hover, .lang a {
    border-radius: 50px;
    width: 40px;
    display: inline-block;
    height: 40px;
    line-height: 40px;
    font-size: 22px;
    margin-right: 3px;
}
 .lang a {
    line-height: 43px;
}
.socials i.fa-instagram:before {
    font-size: 24px;
	position:relative;
	left:0;
	top:1px;
}


/*HOME*/
article.page {
    margin-bottom: 0;
}
#home {
	text-align:center;
}
#home, body .vc_row {
    margin:0;
}
body .vc_column_container>.vc_column-inner {
    padding: 0;
}
.page_item a {
    min-height: 47px;
    display: block;
    line-height: 1;
    padding: 12px 10px 8px;
    border-radius: 50px;
    text-transform: uppercase;
    font-size: 28px;
    letter-spacing: 0px;
    max-width: 310px;
    width: 100%;
    text-align: center;
    margin: 0 auto;
    transition: .2s;
}
pre {
    background: transparent;
}
ul {
    list-style: none;
    margin: 0!important;
}
ul li.page_item {
    margin-bottom: 15px;
    list-style: none;
}
ul li.page_item:last-child {
    margin-bottom: 8px;
}
button.back-button, a.back-button {
    position: absolute;
    bottom: 40px;
    padding: 0;
    border: 0;
}
button.back-button i, a.back-button i {
    height: 56px;
    width: 56px;
    text-align: center;
    line-height: 60px;
    border-radius: 50px;
    font-size: 36px;
    font-weight: 400;
}
.home button.back-button, .home a.back-button {
    display:none;
}


/*SINGLE CUSTOM PAGE*/
::-webkit-scrollbar {
    -webkit-appearance: none;
	width: 10px;
	-webkit-overflow-scrolling: touch;
}
::-webkit-scrollbar:vertical {
    width: 10px;
}
::-webkit-scrollbar:horizontal {
    height: 10px;
}
::-webkit-scrollbar-thumb {
    border-radius: 10px;
}
::-webkit-scrollbar-track {
    border-radius: 10px;
    background-color: transparent;
	border: 1px solid;
}
.menu-listing {
    height: 73vh;
    overflow-y: scroll;
	-webkit-overflow-scrolling: touch;
    padding-right: 15px;
}
.menu-listing-inner {
    text-transform: none;
    letter-spacing: 0.5px;
    line-height: 1.2;
    font-size: 23px;
    margin-bottom: 25px;
    text-align: left;
}
.menu-listing-inner:last-child {
	margin-bottom:0;
}
.menu-listing-inner .menu-listing-price {
    width: 62px;
    text-align: right;
}
.menu-listing-inner .menu-listing-title {
    text-transform:uppercase;
}
.menu-listing-inner .menu-listing-title, .menu-listing-inner .menu-listing-description {
    width: calc(100% - 62px);
}
.menu-listing-inner .menu-listing-inner-top {
    display: flex;
    justify-content: space-between;
}
.sep {
    font-size: 20px;
    padding-right: 6px;
	padding-left:6px;
}
.menu-listing-description {
    font-size: 15px;
    padding-top: 0;
	letter-spacing:0;
}


@media only screen and (max-width: 420px) {
h1.entry-title {
    padding: 38px 0 30px 0;
}
::-webkit-scrollbar, ::-webkit-scrollbar:vertical, ::-webkit-scrollbar:horizontal, ::-webkit-scrollbar-thumb, ::-webkit-scrollbar-track {
    width:0;
}
.menu-listing {
    padding-right:19px;
}
.menu-listing:before {
    content: "";
    border: 1px solid;
    width: 5px;
    border-radius: 50px;
    display: flex;
    position: absolute;
    right: 19px;
    height: 69vh!important;
    height: calc(var(--vh, 1vh) * 69 - 3px)!important;
    margin-top: 2px;
    z-index: 999;
    opacity: 0.7;
}
body {
    height: 100vh!important;
    height: calc(var(--vh, 1vh) * 100)!important;
}
body {
    background-repeat: no-repeat!important;
    background-size: 700px!important;
    background-position: 23% -11%!important;
}
.site-header {
    width: 100%;
}
.menu-listing {
    height: 69vh!important;
    height: calc(var(--vh, 1vh) * 69)!important;
}
.home .container.grid-container {
	height: calc(var(--vh, 1vh) * 100 - 290px)!important;
	overflow:auto;
}
.container.grid-container {
    height: calc(var(--vh, 1vh) * 100 - 100px)!important;
    overflow: auto;
}
button.back-button, a.back-button {
    bottom: 30px;
}
.socials .desktop {
    display:none;
}
.socials .mobile {
    display:inline-block;
}
}


@media only screen and (max-width: 400px) {
.menu-listing {
    height: 64vh!important;
    height: calc(var(--vh, 1vh) * 64)!important;
}
.menu-listing:before {
    height: 64vh!important;
    height: calc(var(--vh, 1vh) * 64 - 4px)!important;
}
}

